# GetContactGroups

Allows you to retrieve a list of all the contact groups, or a single contact group with all its contacts (ContactID and Name).

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Contact group id / name

You can retrieve an individual record by specifying the ContactGroupID or Name.

#### Where

Restrict the returned items using the specified criteria. See Where filter.

#### Order by

Return items in a specific order. See Order by filter.

#### Return options

Select how the data is to be returned. Possible values are:

* Only the first item.
* The first item or an empty item.
* All the items one by one.
* All of the items at once.

## Output

#### Return type of ContactGroups

A list of contact groups or a single contact group depending on the selected [Return option](https://github.com/linx-software/linx-docs/blob/v6-Main/reference/plugins/xero/content/contactgroups/getattachments.md#return-options).

## Links

[Xero Developer: Contact Groups (GET)](https://developer.xero.com/documentation/api/contactgroups#GET)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/contactgroups/getcontactgroups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
